package io.github.thehrz.proxyServerHelper.listeners

import com.velocitypowered.api.event.Subscribe
import com.velocitypowered.api.event.connection.LoginEvent
import io.github.thehrz.proxyServerHelper.ProxyServerHelper
import io.github.thehrz.proxyServerHelper.utils.ProxyUtils

class ServerPostConnectListener {
    @Subscribe
    fun onPlayerConnect(event: LoginEvent) {
        if (ProxyServerHelper.instance.config.getBoolean("settings.join", true)) {
            ProxyUtils.sendMessage(
                ProxyServerHelper.instance.config.getString("messages.join"), mapOf(
                    "{player}" to event.player.username
                )
            )
        }
    }
}